
CoCoA-5 - Bug #164

CoCoA-5 emacs interface bug (minor): Source & SourceRegion with troublesome filenames

20 May 2012 11:25 - John Abbott

Status: Closed Start date: 20 May 2012

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: EmacsUI Estimated time: 1.00 hour

Target version: CoCoA-5.1.2 summer 2015 Spent time: 0.95 hour

Description

By accident I created a filename containing a newline.

Sending the file to CoCoA-5 in emacs (by C-c C-f) produced the following error:

ERROR: Newline characters are not allowed inside string literals (you can insert them using escape

 sequences, for instance, \n or use multi-line string literals)

 

I suspect something bad may occur if the filename contains double quote characters too.  We should add some safety checks.

Related issues:

Related to CoCoA-5 - Feature #8: source region Closed 20 Oct 2011

History

#1 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#2 - 09 Apr 2014 14:58 - John Abbott

- Category changed from GUI to EmacsUI

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#3 - 25 Jun 2014 15:50 - John Abbott

- Subject changed from CoCoA-5 emacs interface bug (minor) to CoCoA-5 emacs interface bug (minor): Source & SourceRegion with troublesome

filenames

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 1.00 h

I have modified cocoa5.el to add escapes for " and newlines inside filenames.

A quick test showed that it works as expected (on my computer).

#4 - 11 May 2015 14:20 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.2 summer 2015

#5 - 29 Jul 2015 21:37 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

This has been in feedback for a year; a quick check shows that it works for a filename containing a double-quote, and for one containing a newline. 
So I'm closing.

Powered by TCPDF (www.tcpdf.org)

25 Apr 2024 2/2

http://www.tcpdf.org

